%define name gambas2
%define version 2.23.0
%define release %mkrel 2

Name: %{name}
Summary: Complete IDE based on a BASIC interpreter with object extensions
Summary(de): Komplette IDE auf einem BASIC-Interpreter mit Objekt-Erweiterungen basierend
Version: %{version}
Release: %{release}
License: GPLv2+
Group: Development/Other
URL: http://gambas.sourceforge.net/
Source0: http://ovh.dl.sourceforge.net/sourceforge/gambas/%{name}-%version.tar.xz
Patch0: gambas2-2.23.0-kernel-2.6.38.patch
Patch1: gambas2-2.23.0-flags.patch
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: bzip2-devel
BuildRequires: firebird-devel
BuildRequires: libunixODBC-devel
BuildRequires: libsqlite-devel
BuildRequires: libsqlite3-devel
BuildRequires: gtk+2-devel
BuildRequires: libmesagl-devel
BuildRequires: libmesaglu-devel
BuildRequires: libpcre-devel
BuildRequires: libSDL_image-devel
BuildRequires: libSDL_gfx-devel
BuildRequires: libSDL_ttf-devel
BuildRequires: libjpeg-devel
BuildRequires: libopenjpeg-devel
BuildRequires: libpng-devel
BuildRequires: libxml2-devel
BuildRequires: libxslt-devel
BuildRequires: gettext-devel
BuildRequires: libcurl-devel
BuildRequires: libgettextmisc
BuildRequires: libopenssl-devel
BuildRequires: libSDL-devel
BuildRequires: libpoppler-devel
BuildRequires: mysql-devel
BuildRequires: postgresql-devel
BuildRequires: SDL_mixer-devel
BuildRequires: acl-devel
BuildRequires: libffi5-devel
BuildRequires: libxtst6-devel
BuildRequires: qt3-devel
#Requires: rpm-build
Obsoletes:	%name < %version
Requires:	glibc >= 2.12.1
Requires:	libstdc++6 >= 4.5.2
BuildRequires:	libslang-devel
Obsoletes: gambas2-gb-db-postgresql gambas2-devel gambas2-gb-chart gambas2-gb-compress
Obsoletes: gambas2-gb-crypt gambas2-gb-db gambas2-gb-db-form gambas2-gb-db-mysql
Obsoletes: gambas2-gb-db-odbc gambas2-gb-db-sqlite2 gambas2-gb-db-sqlite3 gambas2-gb-desktop
Obsoletes: gambas2-gb-firebird gambas2-gb-form gambas2-gb-form-dialog gambas2-gb-form-mdi
Obsoletes: gambas2-gb-gtk gambas2-gb-gtk-ext gambas2-gb-gtk-svg gambas2-gb-gui gambas2-gb-image
Obsoletes: gambas2-gb-info gambas2-gb-net gambas2-gb-net-curl gambas2-gb-net-smtp gambas2-gb-opengl
Obsoletes: gambas2-gb-option gambas2-gb-pcre gambas2-gb-pdf gambas2-gb-qt gambas2-gb-qt-ext
Obsoletes: gambas2-gb-qt-kde gambas2-gb-qt-kde-html gambas2-gb-qt-opengl gambas2-gb-report
Obsoletes: gambas2-gb-sdl gambas2-gb-settings gambas2-gb-v4l gambas2-gb-vb gambas2-gb-web
Obsoletes: gambas2-gb-xml gambas2-ide gambas2-runtime gambas2-scripter gambas2-devel


%description
Gambas is a free development environment based on a Basic interpreter
with object extensions, like Visual Basic(tm) (but it is NOT a clone!). 
With Gambas, you can quickly design your program GUI, access MySQL or
PostgreSQL databases, control KDE applications with DCOP, translate
your program into many languages, create network applications easily,
build RPMs of your apps automatically, and so on...

%description -l de
Gambas ist eine freie Programmiersprache zur Softwareentwicklung. Es handelt 
sich um eine objektorientierte BASIC- Variante mit einer kompletten IDE. Sie 
soll die Vorteile von Visual Basic auch unter KDE und Gnome verfügbar machen, 
jedoch ist Gambas - anders als allgemein behauptet - nicht äquivalent zu Visual 
Basic, auch wenn die beiden Sprachen viele Gemeinsamkeiten aufweisen. Dieses 
liegt hauptsächlich an dem Wegfall der so genannten ActiveX-Steuerelemente, die 
bei Gambas durch eigene Objekte ersetzt wurden. So sind bereits vorhandene „Visual 
Basic“-Projekte nicht ohne weiteres zu importieren. Gambas ist weiter an C angelehnt 
als Visual Basic. Das zeigt sich z.B. im Umgang mit Dateien, die wie in C als 
Dateideskriptor geöffnet werden.




%prep
%setup -q -n %{name}-%version
%patch0 -p0
%patch1 -p0

%build
./reconf-all
export CXXFLAGS="%optflags -fpermissive"
%setup_compile_flags
for i in `find -name ltmain.sh`
do
	(
	  pushd `dirname $i`
	  %before_configure
	  popd
	)
done

%configure2_5x \
	--disable-corba --disable-qte
%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

mkdir -p $RPM_BUILD_ROOT/%{_miconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_liconsdir}
mkdir -p $RPM_BUILD_ROOT/%{_iconsdir}/hicolor/{16x16,32x32,48x48,128x128}/{apps,mimetypes}
install -m644 app/src/gambas2/img/logo/new-logo-16.png $RPM_BUILD_ROOT/%{_miconsdir}/%{name}.png
install -m644 app/src/gambas2/img/logo/new-logo-16.png $RPM_BUILD_ROOT/%{_iconsdir}/hicolor/16x16/apps/%{name}.png
install -m644 app/src/gambas2/img/logo/new-logo-32.png $RPM_BUILD_ROOT/%{_iconsdir}/%{name}.png
install -m644 app/src/gambas2/img/logo/new-logo-32.png $RPM_BUILD_ROOT/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -resize 48x48 app/src/gambas2/img/logo/new-logo.png $RPM_BUILD_ROOT/%{_liconsdir}/%{name}.png
convert -resize 48x48 app/src/gambas2/img/logo/new-logo.png $RPM_BUILD_ROOT/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
install -m644 app/src/gambas2/img/logo/new-logo.png $RPM_BUILD_ROOT/%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -m644 app/mime/application-x-gambasscript.png %buildroot%{_iconsdir}/hicolor/48x48/mimetypes/application-x-gambasscript.png
convert -resize 16x16 app/mime/application-x-gambasscript.png %buildroot%{_iconsdir}/hicolor/16x16/mimetypes/application-x-gambasscript.png
convert -resize 32x32 app/mime/application-x-gambasscript.png %buildroot%{_iconsdir}/hicolor/32x32/mimetypes/application-x-gambasscript.png
install -m644 main/mime/application-x-gambas.png %buildroot%{_iconsdir}/hicolor/48x48/mimetypes/
convert -resize 16x16 main/mime/application-x-gambas.png %buildroot%{_iconsdir}/hicolor/16x16/mimetypes/application-x-gambas.png
convert -resize 32x32 main/mime/application-x-gambas.png %buildroot%{_iconsdir}/hicolor/32x32/mimetypes/application-x-gambas.png

# Clean some files that do not need to be packaged according to docs

rm -f $RPM_BUILD_ROOT%_libdir/%{name}/gb.la $RPM_BUILD_ROOT%_libdir/%{name}/gb.so*

# Menu

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/pclinuxos-%{name}.desktop <<EOF
[Desktop Entry]
Name=Gambas II
Comment=Gambas 2 IDE
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=GNOME;GTK;Development;IDE;X-MandrivaLinux-MoreApplications-Development-DevelopmentEnvironments;
EOF

mkdir -p %{buildroot}%{_datadir}/applnk/Applications
#associate the default applications through the applnk folder
cat >  %{buildroot}%{_datadir}/applnk/Applications/pclinuxos-%{name}.desktop <<EOF
[Desktop Entry]
Name=Gambas 2
Comment=Gambas executable
Exec=gbr2
Icon=application-x-gambas
NoDisplay=true
Terminal=false
Type=Application
MimeType=application/x-gambas;
Encoding=UTF-8
EOF


cat >  %{buildroot}%{_datadir}/applnk/Applications/pclinuxos-%{name}script.desktop <<EOF
[Desktop Entry]
Name=Gambas script
Comment=Gambas script interpreter
Exec=gbs2
Icon=application-x-gambasscript
NoDisplay=true
Terminal=false
TerminalOptions=\s--noclose
Type=Application
MimeType=application/x-gambasscript;
Encoding=UTF-8
EOF


# XDG MIME type
install -D app/mime/application-x-gambasscript.xml %buildroot%{_datadir}/mime/packages/application-x-gambasscript.xml
install -D main/mime/application-x-gambas.xml %buildroot%{_datadir}/mime/packages/application-x-gambas.xml

#-----------------------------------------------------------------------------
%post
%update_menus
%update_icon_cache hicolor

%postun
%clean_menus
%clean_icon_cache hicolor

%files 
%defattr(-, root, root, 0755)
%doc README AUTHORS ChangeLog
%{_bindir}/gbx2
%{_bindir}/gbr2
%{_bindir}/gbw2
%{_libdir}/%{name}/gb.component
%{_libdir}/%{name}/gb.debug.*
%{_libdir}/%{name}/gb.eval.*
%{_libdir}/%{name}/gb.draw.*
%dir %{_datadir}/%{name}
%{_datadir}/%{name}/info/gb.info
%{_datadir}/%{name}/info/gb.list
%{_datadir}/%{name}/info/gb.debug.*
%{_datadir}/%{name}/info/gb.eval.*
%{_datadir}/%{name}/icons/application-x-gambas.png
%{_datadir}/mime/packages/application-x-gambas.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambas.png
%{_bindir}/gbs2
%{_bindir}/gbs2.gambas
%{_datadir}/%{name}/icons/application-x-gambasscript.png
%{_datadir}/%{name}/icons/application-x-gambasserverpage.png
%{_datadir}/mime/packages/application-x-gambasscript.xml
%{_iconsdir}/hicolor/*/mimetypes/application-x-gambasscript.png
%{_bindir}/%{name}
%{_bindir}/%{name}.gambas
%{_bindir}/%{name}-database-manager.gambas
%{_miconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_liconsdir}/%{name}.png
%{_iconsdir}/hicolor/*/apps/%{name}.png
%{_datadir}/applications/pclinuxos*.desktop
%{_datadir}/applnk/Applications/*.desktop
%{_datadir}/%{name}/examples
%{_datadir}/%{name}/help
%{_libdir}/%{name}/gb.chart.*
%{_datadir}/%{name}/info/gb.chart.*
%{_libdir}/%{name}/gb.compress.*
%{_datadir}/%{name}/info/gb.compress.*
%{_libdir}/%{name}/gb.crypt.*
%{_datadir}/%{name}/info/gb.crypt.*
%{_libdir}/%{name}/gb.db.la
%{_libdir}/%{name}/gb.db.so*
%{_libdir}/%{name}/gb.db.component
%{_datadir}/%{name}/info/gb.db.info
%{_datadir}/%{name}/info/gb.db.list
%{_libdir}/%{name}/gb.db.firebird.*
%{_libdir}/%{name}/gb.db.form.*
%{_datadir}/%{name}/info/gb.db.form.*
%{_libdir}/%{name}/gb.db.mysql.*
%{_libdir}/%{name}/gb.db.odbc.*
%{_libdir}/%{name}/gb.db.postgresql.*
%{_libdir}/%{name}/gb.db.sqlite2.*
%{_libdir}/%{name}/gb.db.sqlite3.*
%{_libdir}/%{name}/gb.form.component
%{_libdir}/%{name}/gb.form.gambas
%{_datadir}/%{name}/info/gb.form.info
%{_datadir}/%{name}/info/gb.form.list
%{_libdir}/%{name}/gb.form.dialog.*
%{_datadir}/%{name}/info/gb.form.dialog.*
%{_libdir}/%{name}/gb.form.mdi.*
%{_datadir}/%{name}/info/gb.form.mdi.*
%{_libdir}/%{name}/gb.gtk.*
%{_datadir}/%{name}/info/gb.gtk.*
%{_libdir}/%{name}/gb.gui.*
%{_datadir}/%{name}/info/gb.gui.*
%{_libdir}/%{name}/gb.image.*
%{_datadir}/%{name}/info/gb.image.*
%{_libdir}/%{name}/gb.info.*
%{_datadir}/%{name}/info/gb.info.*
%{_libdir}/%{name}/gb.net.la
%{_libdir}/%{name}/gb.net.so*
%{_libdir}/%{name}/gb.net.component
%{_datadir}/%{name}/info/gb.net.info
%{_datadir}/%{name}/info/gb.net.list
%{_libdir}/%{name}/gb.net.curl.la
%{_libdir}/%{name}/gb.net.curl.so*
%{_libdir}/%{name}/gb.net.curl.component
%{_datadir}/%{name}/info/gb.net.curl.info
%{_datadir}/%{name}/info/gb.net.curl.list
%{_libdir}/%{name}/gb.net.smtp.*
%{_datadir}/%{name}/info/gb.net.smtp.*
%{_libdir}/%{name}/gb.opengl.*
%{_datadir}/%{name}/info/gb.opengl.*
%{_libdir}/%{name}/gb.option.*
%{_datadir}/%{name}/info/gb.option.*
%{_libdir}/%{name}/gb.pcre.*
%{_datadir}/%{name}/info/gb.pcre.*
%{_libdir}/%{name}/gb.pdf.*
%{_datadir}/%{name}/info/gb.pdf.*
%{_libdir}/%{name}/gb.qt.la
%{_libdir}/%{name}/gb.qt.so*
%{_libdir}/%{name}/gb.qt.component
%{_libdir}/%{name}/gb.qt.gambas
%{_datadir}/%{name}/info/gb.qt.info
%{_datadir}/%{name}/info/gb.qt.list
%{_libdir}/%{name}/gb.qt.ext.la
%{_libdir}/%{name}/gb.qt.ext.so*
%{_libdir}/%{name}/gb.qt.ext.component
%{_datadir}/%{name}/info/gb.qt.ext.info
%{_datadir}/%{name}/info/gb.qt.ext.list
%{_libdir}/%{name}/gb.qt.opengl.la
%{_libdir}/%{name}/gb.qt.opengl.so*
%{_libdir}/%{name}/gb.qt.opengl.component
%{_datadir}/%{name}/info/gb.qt.opengl.info
%{_datadir}/%{name}/info/gb.qt.opengl.list
%{_libdir}/%{name}/gb.report.*
%{_datadir}/%{name}/info/gb.report.*
%{_libdir}/%{name}/gb.sdl.la
%{_libdir}/%{name}/gb.sdl.so
%{_libdir}/%{name}/gb.sdl.so.*
%{_libdir}/%{name}/gb.sdl.component
%{_datadir}/%{name}/info/gb.sdl.info
%{_datadir}/%{name}/info/gb.sdl.list
%{_libdir}/%{name}/gb.sdl.sound.*
%{_datadir}/%{name}/info/gb.sdl.sound.*
%{_libdir}/%{name}/gb.settings.*
%{_datadir}/%{name}/info/gb.settings.*
%{_libdir}/%{name}/gb.v4l.*
%{_datadir}/%{name}/info/gb.v4l.*
%{_libdir}/%{name}/gb.vb.la
%{_libdir}/%{name}/gb.vb.so*
%{_libdir}/%{name}/gb.vb.component
%{_datadir}/%{name}/info/gb.vb.info
%{_datadir}/%{name}/info/gb.vb.list
%{_libdir}/%{name}/gb.web.*
%{_datadir}/%{name}/info/gb.web.*
%{_libdir}/%{name}/gb.xml.la
%{_libdir}/%{name}/gb.xml.so*
%{_libdir}/%{name}/gb.xml.component
%{_datadir}/%{name}/info/gb.xml.info
%{_datadir}/%{name}/info/gb.xml.list
%{_libdir}/%{name}/gb.xml.rpc*
%{_datadir}/%{name}/info/gb.xml.rpc*
%{_libdir}/%{name}/gb.xml.xslt*
%{_datadir}/%{name}/info/gb.xml.xslt*
%{_bindir}/gbc2
%{_bindir}/gba2
%{_bindir}/gbi2
%{_libdir}/%{name}/gb.desktop.*
%{_datadir}/%{name}/info/gb.desktop.*

#-----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Sun Sep 11 2011 Texstar <texstar at gmail.com> 2.23.0-2pclos2011
- dont require rpm-build for this package

* Mon Apr 11 2011 Texstar <texstar at gmail.com> 2.23.0-1pclos2011
- 2.23.0

* Wed Nov 24 2010 Texstar <texstar at gmail.com> 2.22.0-1pclos2010
- 2.22.0

* Sat Jul 24 2010 maik3531 <maik3531 at yahoo.de> 2.21.0-1pclos2010
- new version 2.21.0
- add BuildRequires qt3-devel and libopenjpeg-devel

* Mon Mar 01 2010 slick50 <lxgator@gmail.com> 2.20.0-1pclos2010
- new version 2.20.0

* Fri Jan 22 2010 Texstar <texstar at gmail.com> 2.19.0-2pclos2010
- rebuild

* Mon Jan 04 2010 slick50 <lxgator@gmail.com> 2.19.0-1pclos2010
- new version 2.19.0

* Wed Nov 18 2009 slick50 <lxgator@gmail.com> 2.18.0-1pclos2010
- new version 2.18.0

* Tue Nov 03 2009 Texstar <texstar at gmail.com> 2.17.0-3pclos2010
- backdown slang2

* Fri Oct 30 2009 Texstar <texstar at gmail.com> 2.17.0-2pclos2010
- rebuild against libslang2

* Sun Oct 25 2009 slick50 <lxgator@gmail.com> 2.17.0-1pclos2010
- new version 2.17.0

* Wed Sep 09 2009 slick50 <lxgator@gmail.com> 2.16.0-1pclos2009
- 2.16.0

* Mon Jul 27 2009 Texstar <texstar@gmail.com> 2.15.0-1pclos2009
- update

* Mon Jun 29 2009 Texstar <texstar@gmail.com> 2.14.0-1pclos2009
- 2.14.0

* Sun Mar 15 2009 Texstar <texstar@gmail.com> 2.11.1-1pclos2007
- update 2.11.1 combine into 2 packages


